<?php
/* Mantenimiento de los registros de la tabla MST_Rango redefinidos por el usaurio */
class MST_RangoDP extends BaseMST_RangoDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdRango ) IS NULL, 1, MAX( IdRango ) + 1 ) i_Id  FROM MST_Rango ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>